summaryrefslogtreecommitdiff
path: root/linuxthreads
diff options
context:
space:
mode:
authorjoseph <joseph@7b3dc134-2b1b-0410-93df-9e9f96275f8d>2009-07-29 16:58:18 +0000
committerjoseph <joseph@7b3dc134-2b1b-0410-93df-9e9f96275f8d>2009-07-29 16:58:18 +0000
commit9256f6cec752328b02be5ad239c6f9abb37e431d (patch)
tree0a2078d85ea52bbb74a27616be835bdbe106e793 /linuxthreads
parent4d6da0374a6f9e36702cb9fbc7418d144cd62410 (diff)
Regenerate all configure scripts with Autoconf 2.63.
git-svn-id: svn://svn.eglibc.org/trunk@8724 7b3dc134-2b1b-0410-93df-9e9f96275f8d
Diffstat (limited to 'linuxthreads')
-rw-r--r--linuxthreads/linuxthreads/configure40
1 files changed, 36 insertions, 4 deletions
diff --git a/linuxthreads/linuxthreads/configure b/linuxthreads/linuxthreads/configure
index 98518271f..74dfdcd46 100644
--- a/linuxthreads/linuxthreads/configure
+++ b/linuxthreads/linuxthreads/configure
@@ -1,3 +1,35 @@
+as_nl='
+'
+export as_nl
+# Printing a long string crashes Solaris 7 /usr/bin/printf.
+as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
+as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
+as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
+if (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
+ as_echo='printf %s\n'
+ as_echo_n='printf %s'
+else
+ if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
+ as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
+ as_echo_n='/usr/ucb/echo -n'
+ else
+ as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
+ as_echo_n_body='eval
+ arg=$1;
+ case $arg in
+ *"$as_nl"*)
+ expr "X$arg" : "X\\(.*\\)$as_nl";
+ arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
+ esac;
+ expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
+ '
+ export as_echo_n_body
+ as_echo_n='sh -c $as_echo_n_body as_echo'
+ fi
+ export as_echo_body
+ as_echo='sh -c $as_echo_body as_echo'
+fi
+
# This file is generated from configure.in by Autoconf. DO NOT EDIT!
# LinuxThreads fragment for GNU C library configure mechanism.
@@ -8,12 +40,12 @@ libc_add_on_canonical=linuxthreads
for other in $add_ons; do
test $other = nptl || continue
if test $add_ons_automatic = yes; then
- echo "$as_me:$LINENO: result: $libc_add_on disabled because $other add-on is also in use" >&5
-echo "${ECHO_T}$libc_add_on disabled because $other add-on is also in use" >&6
+ { $as_echo "$as_me:$LINENO: result: $libc_add_on disabled because $other add-on is also in use" >&5
+$as_echo "$libc_add_on disabled because $other add-on is also in use" >&6; }
libc_add_on=
else
- { { echo "$as_me:$LINENO: error: cannot use both $libc_add_on and $other add-ons in one build" >&5
-echo "$as_me: error: cannot use both $libc_add_on and $other add-ons in one build" >&2;}
+ { { $as_echo "$as_me:$LINENO: error: cannot use both $libc_add_on and $other add-ons in one build" >&5
+$as_echo "$as_me: error: cannot use both $libc_add_on and $other add-ons in one build" >&2;}
{ (exit 1); exit 1; }; }
fi
done